Upgrade to from 4.1.3 to CCM 5.1

Unanswered Question
Jan 18th, 2007
User Badges:

Hello,


I am looking for some feedback, on the upgrade to CCM. 5.1.

If you experienced any problem ?

What to avoid ?

How it was managed etc...


We have about 2500 phones accross Europe.


Thanks, for your time.


Regards,


Olivier

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (2 ratings)
Loading.
tboynton Thu, 01/18/2007 - 06:46
User Badges:

I just did this upgrade this past weekend and with all things considered, it went very well. My biggest issues were making sure I had all custom rings and MOH files loaded into the new environment. These seem to be the "important" things that everyone complains about if they are lost. ;-)


I also had some issues with servers not being supported by the 5.0 media. I had bought two new servers which worked fine, but a server that I was counting on for a subscriber was not supported even though it met the minimum specs. I expected to get flooded with calls Monday after the upgrade and I got none.


I built my publisher ahead of time on a seperate network that duplicated my voice network. I had stopped updates to my 4.1(3) callmanager a couple days before the upgrade so I would have time to build the 5.X server with the 4.1(3) before the weekend. My phones register with the subscribers anyway so I was able to bring my 4.1(3) publisher down without affecting call processing. When I had the new 5.1 publisher up, I shut down the subscribers. It took about 10 minutes for all my phones to download firmware and re-register, but after they did things worked pretty well. I had some phones that refused to upregister from a remote subscriber so I had to RDP into the server and shut down the callmanager service.


At the same time I also had to upgrade from IPCC 3.5 to 4.5. That gave me more trouble than the 5.1 upgrade.


Overall, I am really happy with how it went.


Todd

o.artigny Thu, 01/18/2007 - 09:09
User Badges:

Hi Todd,


Thanks for this information.

That spare server that wasn't supported, was it a HP server ?


Regards and thanks again,


Olivier

tboynton Mon, 01/22/2007 - 08:47
User Badges:

Hi Olivier


Yes, it was an HP DL380 G4 2.8 Ghz/2Gg/(2)72Gb HDs. Cisco supports the 2.4 and 3.0 Ghz G4's in CM 5.0 but not the 2.8ghz. Even our Cisco SE was very surprised by it.


Todd

DOUG DAVIDSON Mon, 01/22/2007 - 15:21
User Badges:

What was the IPCC 3.5 to 4.5 upgrade like? Any tips/suggestions?


Thanks,

Doug

tboynton Mon, 01/22/2007 - 15:51
User Badges:

Truthfully, i didn't find any way to "upgrade". I built the server from scratch, installed 4.5 and copied over my scripts. 4.5 was not able to use the JTAPI and RMCM users that I already had defined in callmanager. It had to recreate them. Also all the CTI route points and CTI ports are created and controlled by the IPCC server through the appadmin interface. I ended up deleting all my ports and recreating them through appadmin. I guess there is a way to resync CTI port changes if you make them on callmanager but I didn't get into that.


The Cisco Agent Desktop will not install on Vista or any PC with IE7 installed. We've experimented with installing IE7 after CAD which seems to work but is not supported by Cisco.


I also had a problem where I built my IPCC server and then rebuilt my callmanager server. The IPCC sets a read only flag in callmanager database that tells callmanager to offer you the option to set an IPCC extension. These were set to false on my callmanager because I rebuilt it after IPCC was installed. After many hours of repairing and restoring stuff on IPCC, I found out all I had to do was reapply the license because that is when the flag is set.


this is the third IPCC upgrade that I've had to do on the same day as a callmanager upgrade. Callmanager upgrades are stressful enough. I wish cisco would make their apps backwards compatible.

r.heitmann Mon, 01/22/2007 - 15:29
User Badges:

did you use the DMA to export your existing Data?


I want to perform the same upgrade job - prior in my lab, but the upgrade fails.


I have no trouble with the DMA to export my data and generate the .tar-file.


But, when i want to install my ccm5.0.4a using the upgrade-option, i'm getting an "unrecoverable error while running the upgrade script".


The S-FTP - filetransfer of the .tar-file works fine.

tboynton Mon, 01/22/2007 - 15:40
User Badges:

Yes I did use DMA to export the existing data and I initally had the same trouble you did. Your test server MUST have the same IP address and hostname as the server that exported the data. I built a LAN that used the same ip range as my production enviroment. I put DNS and ftp server on a laptop and connected it to the same switch and router as the test callmanager server. Obviously I could connect this test LAN to my production LAN so I had to make sure all services that callmanager relied on were duplicated on my test LAN. Once I did that my upgrade was successful the very first time. Once the test server was up and running I was able to change its ip address and domain name suffix and place it on my production network.

r.heitmann Wed, 01/24/2007 - 05:13
User Badges:

hmm, i did it again...


- same hostname / ip / netmask / gateway

- same dns-ip / domain

- new: NTP

- different: MAC-Address (since my old server doesn't support ccm5)


- the dns is up and well.


with the result "installation has occured a unrecoverable internal error"


- original ccm is 4.1(3)sr4d

- data export using DMA 5.0(4)

- new ccm is 5.0(4a)


when i upgrade using the new SU (security upgrade) during installation, the installation crashes, too!


I'm looking forward to a clean installation without using the DMA-tar-file...

DOUG DAVIDSON Mon, 02/19/2007 - 10:10
User Badges:

FYI, I was having a similar problem, after working with TAC, it was discovered that there was a file "delete.csv" in the tar fil ethat had to be deleted. Once I deleted that file from the TAR file the upgrade ran smoothly.


Doug

DOUG DAVIDSON Mon, 02/19/2007 - 10:31
User Badges:

I have a lab Publisher that I have upgraded and am planning on following the step you outlined. Change the domain name suffix to a test domain.


In Production, I have a publisher and subscriber, but in the lab setup I will only have publisher. When I change the domain suffix, will that make it also look for the subscribner in the same domain that is used by the publisher, or will it "reach out" and find the subscriber on the other domain?


I hope this makes sense.


Thanks,

Doug

tboynton Sun, 02/25/2007 - 16:07
User Badges:

The publisher will not "look" for a subscriber. Before you add a subscriber, you are required to add the ip address of the subscriber within CCMADMIN on the publisher. That is how the publisher knows where the subscriber is.

jjiles Mon, 06/04/2007 - 14:42
User Badges:

Hi Todd, I was reading your experience upgrading to call manager 5.1 and I have a couple of questions:

We tried exactly the same scenario that you described, but with different results. I guess the only difference is that we used DMA. We also built our 5.1.2 publisher in a separate network. Once we were ready to switch over, we brought down our 4.1.3 production publisher. Same as you, our subscriber is doing all the call processing, so this didn?t affected the users. It took about 10 minutes for all telephones to be re-registered, call processing continued normally after this on the new 5.1.2 publisher. Our problem began when we tried to bring the new 5.1.2 subscriber online.

For whatever reason, we couldn?t get the databases to synchronize. We tried several things, but we could not get the publisher to see the subscriber?s database. We even re-installed everything from scratch on the subscriber while the 5.1.2 publisher was up, but it didn?t work.

After this set back, we move back to 4.1.3 and are looking for answers.


-In our first try, we built the subscriber with a different IP address; we changed to the production IP address once the 4.1.3 subscriber was brought down. As far as the documentation is concern, this is supported and should not cause problems but who knows??


-The one thing that we are suspecting, is that the publisher was brought to level 5.1.2 through a series of updates (5.0.4, 5.1.1-3000, 5.1.1-3112SE, 5.1.2) while the subscriber was upgraded to 5.1.2 directly from 5.0.4. Do you know if this is could be causing the problem??


-Unfortunately we could never get to the 5.1.2.subscriber?s administration page as the administrator password is embedded in the db that was never synchronized. We could get to the platform page, but there is no much you can do from there, same as the CLI.


Before all this, we built a 5.1 test system with totally different ip addresses and I all worked ok. We tested it for months without problems. Again the only difference is that in that system the publisher and subscriber were upgraded sequentially all the way.


If anyone has any ideas on what we could have done wrong, please send me a line.


Thanks.


tboynton Tue, 06/05/2007 - 05:11
User Badges:

Hi jjiles


Yes, changing the ip address of the subscriber is definitely supported. I have done it several times with success. Make sure you change the subscriber ip address in CCMADMIN first before you change it on the subscriber. Also make sure the ip address is in CCMADMIN before you install CCM on the subscriber. You may already be doing this but I just wanted to mention it.


I actually went from 5.0.4 to 5.1.1-1000 to 5.1.1-2000 etc... I didn't have any problems.


On one subscriber though I did have a similar problem to what you are having with the DB not synching and not being able to log into the subscriber web interface. I actually opened a tac case on it. They had me run a bunch of command-line utilities to check on the replication and come to find out it was infact syncing with the publisher. It was the web interface that was not reading the correct data. They had me restart the risdc service on the subscriber and reboot which didn't fix the problem. I decided to try the same thing on the publisher (minus the reboot) and all of a sudden things started working properly and I haven't had problems with the subscriber since.


Hope this helps.


Todd

jinsvarghese Tue, 02/06/2007 - 04:41
User Badges:

Hello,


i am looking to upgrade ccm from 4.1.3 to 5.1


our current setup includes


1. ICM 7.0 SR1

2. IVR 4.0 (3)

3. Unity 4.0 Build 4.0(3) SR 1


our further project is implementing CVP solution.


Is all the above compatabile with CCM 5.1.


please help me on this.


thanks in advance.


regards,


shashank

tboynton Sun, 02/25/2007 - 16:04
User Badges:

Look at the following links:


http://www.cisco.com/univercd/cc/td/doc/product/voice/c_unity/cmptblty/tspmtrx.htm


http://www.cisco.com/univercd/cc/td/doc/product/voice/c_callmg/ccmcomp.htm


http://www.cisco.com/univercd/cc/td/doc/systems/unified/uc511/relnotes/rnipt511.htm#wp1421341


I don't believe IVR 4.0(3) is compatible.

The matrix use to claim that only Unity 4.2 was compaible with 5.X. Looks like that has changed as long as you have the correct TSP version. I do not know about ICM.

Actions

This Discussion